> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Voter Transfer Code



## OpenAPI

````yaml /openapi.json post /v1/v/{token}/transfer-codes/claim
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/v/{token}/transfer-codes/claim:
    post:
      tags:
        - Voting Sessions
      summary: Claim Voter Transfer Code
      operationId: claim_voter_transfer_code_v1_v__token__transfer_codes_claim_post
      parameters:
        - in: path
          name: token
          required: true
          schema:
            title: Token
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransferCodeClaimRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferCodeClaimResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security: []
components:
  schemas:
    TransferCodeClaimRequest:
      properties:
        claim_method:
          anyOf:
            - pattern: ^(code|qr)$
              type: string
            - type: 'null'
          default: code
          title: Claim Method
        code:
          maxLength: 16
          minLength: 6
          title: Code
          type: string
      required:
        - code
      title: TransferCodeClaimRequest
      type: object
    TransferCodeClaimResponse:
      properties:
        login_required:
          default: false
          title: Login Required
          type: boolean
        participant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Participant Id
        participant_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Participant Label
        participant_mode:
          anyOf:
            - enum:
                - anonymous
                - transferred
                - authenticated
                - linked_requires_login
              type: string
            - type: 'null'
          title: Participant Mode
        seat_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Seat Id
        token_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Prefix
        voter_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Voter Token
      title: TransferCodeClaimResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````